Debian Bug report logs - #598207
[linux-image-2.6.36-rc5-amd64] BUG: NULL pointer dereference

version graph

Package: linux-image-2.6.36-rc5-amd64; Maintainer for linux-image-2.6.36-rc5-amd64 is (unknown);

Reported by: Florian Kriener <florian@kriener.org>

Date: Mon, 27 Sep 2010 13:21:07 UTC

Severity: normal

Tags: fixed-upstream

Found in version linux-2.6/2.6.36~rc5-1~experimental.1

Fixed in version linux-2.6/2.6.36~rc6-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598207; Package linux-image-2.6.36-rc5-amd64. (Mon, 27 Sep 2010 13:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Kriener <florian@kriener.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Sep 2010 13:21:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Kriener <florian@kriener.org>
To: submit@bugs.debian.org
Subject: [linux-image-2.6.36-rc5-amd64] BUG: NULL pointer dereference
Date: Mon, 27 Sep 2010 15:20:32 +0200
Package: linux-image-2.6.36-rc5-amd64
Version: 2.6.36~rc5-1~experimental.1

Severity: important

--- Please enter the report below this line. ---

When booting I see the following bug:

Sep 27 15:01:52 nanuk kernel: [   13.679118] BUG: unable to handle kernel NULL pointer dereference at (null)
Sep 27 15:01:52 nanuk kernel: [   13.680006] IP: [<ffffffffa0078ea2>] hiddev_open+0x89/0x15b [usbhid]
Sep 27 15:01:52 nanuk kernel: [   13.680006] PGD 139902067 PUD 13a2c8067 PMD 0 
Sep 27 15:01:52 nanuk kernel: [   13.680006] Oops: 0000 [#1] SMP 
Sep 27 15:01:52 nanuk kernel: [   13.680006] last sysfs file: /sys/devices/platform/i8042/serio0/input/input0/capabilities/sw
Sep 27 15:01:52 nanuk kernel: [   13.680006] CPU 1 
Sep 27 15:01:52 nanuk kernel: [   13.680006] Modules linked in: vboxnetadp vboxnetflt vboxdrv microcode binfmt_misc ipt_LOG ip6t_LOG xt_comment ip6t_REJECT ipt_REJECT ipt_addrtype xt_multiport xt_mark nf_conntrack_ipv6 
ip6table_mangle ip6table_raw ip6table_filter ip6_tables xt_tcpudp xt_conntrack iptable_mangle iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 iptable_raw iptable_filter ip_tables x_tables ext2 nf_conntrack_ftp 
nf_conntrack tp_smapi thinkpad_ec loop snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep arc4 snd_pcm_oss ecb snd_mixer_oss snd_pcm thinkpad_acpi iwlagn snd_seq_midi snd_rawmidi snd_seq_midi_event iwlcore 
snd_seq mac80211 uvcvideo joydev snd_timer videodev v4l1_compat snd_seq_device v4l2_compat_ioctl32 cfg80211 tpm_tis i2c_i801 tpm rfkill wmi psmouse snd tpm_bios battery nvram serio_raw ac soundcore snd_page_alloc evdev 
processor ext4 mbcache jbd2 crc16 sha256_generic aes_x86_64 aes_generic cbc dm_crypt dm_mod sg sr_mod sd_mod cdrom crc_t10dif usbhid hid i915 ahci libahci lib
Sep 27 15:01:52 nanuk kernel: ata uhci_hcd scsi_mod drm_kms_helper ehci_hcd drm sdhci_pci sdhci i2c_algo_bit usbcore e1000e i2c_core mmc_core thermal video led_class button output nls_base thermal_sys [last unloaded: 
scsi_wait_scan]
Sep 27 15:01:52 nanuk kernel: [   13.680006] 
Sep 27 15:01:52 nanuk kernel: [   13.680006] Pid: 2059, comm: hald-probe-hidd Not tainted 2.6.36-rc5-amd64 #1 2808D9G/2808D9G
Sep 27 15:01:52 nanuk kernel: [   13.680006] RIP: 0010:[<ffffffffa0078ea2>]  [<ffffffffa0078ea2>] hiddev_open+0x89/0x15b [usbhid]
Sep 27 15:01:52 nanuk kernel: [   13.680006] RSP: 0018:ffff880139a0dcb8  EFLAGS: 00010286
Sep 27 15:01:52 nanuk kernel: [   13.680006] RAX: 0000000000000000 RBX: ffff880139aa0000 RCX: 0000000000010000
Sep 27 15:01:52 nanuk kernel: [   13.680006] RDX: ffffffffa007cc90 RSI: ffffffffa007bf0b RDI: ffff880139aac030
Sep 27 15:01:52 nanuk kernel: [   13.680006] RBP: 0000000000000000 R08: 00000000000080d0 R09: ffff88013863d970
Sep 27 15:01:52 nanuk kernel: [   13.680006] R10: ffffffffa01f4059 R11: 00000000ffffffed R12: ffff8801399ac300
Sep 27 15:01:52 nanuk kernel: [   13.680006] R13: 00000000ffffffed R14: 0000000000000000 R15: ffff88013a20f780
Sep 27 15:01:52 nanuk kernel: [   13.680006] FS:  00007f709325f700(0000) GS:ffff880001a80000(0000) knlGS:0000000000000000
Sep 27 15:01:52 nanuk kernel: [   13.680006] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Sep 27 15:01:52 nanuk kernel: [   13.680006] CR2: 0000000000000000 CR3: 0000000138f3a000 CR4: 00000000000406e0
Sep 27 15:01:52 nanuk kernel: [   13.680006] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 27 15:01:52 nanuk kernel: [   13.680006] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 27 15:01:52 nanuk kernel: [   13.680006] Process hald-probe-hidd (pid: 2059, threadinfo ffff880139a0c000, task ffff88013abea210)
Sep 27 15:01:52 nanuk kernel: [   13.680006] Stack:
Sep 27 15:01:52 nanuk kernel: [   13.680006]  ffff880137ffb480 ffffffffa02065a0 ffff8801399ac300 ffff880137495b40
Sep 27 15:01:52 nanuk kernel: [   13.680006] <0> 00000000ffffffed ffffffffa01ff5d3 ffff8801399ac300 ffff880137495b40
Sep 27 15:01:52 nanuk kernel: [   13.680006] <0> ffff8801399ac300 ffff880137ffb480 0000000000000000 ffffffff810eeacc
Sep 27 15:01:52 nanuk kernel: [   13.680006] Call Trace:
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffffa01ff5d3>] ? usb_open+0x61/0xc0 [usbcore]
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810eeacc>] ? chrdev_open+0x127/0x145
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810ee9a5>] ? chrdev_open+0x0/0x145
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810ea740>] ? __dentry_open+0x161/0x291
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810f4268>] ? inode_permission+0x82/0x9e
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810f512e>] ? do_last+0x3e4/0x536
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810f6bf1>] ? do_filp_open+0x1e4/0x53b
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810521c7>] ? do_sigaction+0x11d/0x166
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff810ea514>] ? do_sys_open+0x56/0xe4
Sep 27 15:01:52 nanuk kernel: [   13.680006]  [<ffffffff81008a02>] ? system_call_fastpath+0x16/0x1b
Sep 27 15:01:52 nanuk kernel: [   13.680006] Code: c7 c2 90 cc 07 a0 48 c7 c6 0b bf 07 a0 41 b5 ed e8 38 68 fe e0 48 89 ab 18 c0 00 00 49 89 9c 24 a0 00 00 00 48 8b 83 18 c0 00 00 <83> 38 00 0f 84 a4 00 00 00 8b 50 04 8d 
4a 01 85 d2 89 48 04 75 
Sep 27 15:01:52 nanuk kernel: [   13.680006] RIP  [<ffffffffa0078ea2>] hiddev_open+0x89/0x15b [usbhid]
Sep 27 15:01:52 nanuk kernel: [   13.680006]  RSP <ffff880139a0dcb8>
Sep 27 15:01:52 nanuk kernel: [   13.680006] CR2: 0000000000000000
Sep 27 15:01:52 nanuk kernel: [   13.749395] ---[ end trace 6766acc47f9bb891 ]---


/sys/devices/platform/i8042/serio0 ist my keyboard, however normally I only see
input/input1 and not input/input0 in the list of input devices. 

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.32-5-amd64

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        ftp.de.debian.org 
  500 testing         ftp.de.debian.org 
  101 experimental-snapshots qt-kde.debian.net 
    1 experimental    ftp.de.debian.org 

--- Package information. ---
Depends                                         (Version) | Installed
=========================================================-+-=================================
module-init-tools                                         | 3.12-1
linux-base               (>= 2.6.36~rc5-1~experimental.1) | 2.6.36~rc5-1~experimental.1
initramfs-tools                                (>= 0.55)  | 0.98.4
 OR linux-initramfs-tool                                  | 


Package Status              (Version) | Installed
=====================================-+-===========
firmware-bnx2                         | 
firmware-bnx2x                        | 
firmware-ipw2x00                      | 
firmware-ivtv                         | 
firmware-iwlwifi                      | 0.26
firmware-linux                        | 0.26
firmware-linux-nonfree                | 0.26
firmware-qlogic                       | 
firmware-ralink                       | 
xen-hypervisor                        | 


Recommends                    (Version) | Installed
=======================================-+-================
firmware-linux-free     (>= 2.6.36~rc5) | 2.6.36~rc5-1~experimental.1


Suggests              (Version) | Installed
===============================-+-===========
linux-doc-2.6.36                | 2.6.36~rc5-1~experimental.1
grub                            | 
 OR lilo                        | 



--- Output from package bug script ---


-- 
Florian Kriener

August-Bebel-Stra├če 46
04275 Leipzig

Tel:   +49 341-3047701
Mobil: +49 176-20070874




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598207; Package linux-image-2.6.36-rc5-amd64. (Mon, 27 Sep 2010 15:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Kriener <florian@kriener.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Sep 2010 15:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 598207@bugs.debian.org (full text, mbox):

From: Florian Kriener <florian@kriener.org>
To: 598207@bugs.debian.org
Subject: More info and patch
Date: Mon, 27 Sep 2010 17:34:28 +0200
The Bug seems to be well known. There is a BugZilla entry [1] and a 
thread [2] with a fix [3]

[1] https://bugzilla.kernel.org/show_bug.cgi?id=18892
[2] http://lkml.org/lkml/2010/9/19/164
[3] http://lkml.org/lkml/2010/9/21/160

Sorry for the noise. It will be fixed in rc6.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#598207; Package linux-image-2.6.36-rc5-amd64. (Tue, 28 Sep 2010 01:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Sep 2010 01:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 598207@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Florian Kriener <florian@kriener.org>, 598207@bugs.debian.org
Subject: Re: Bug#598207: More info and patch
Date: Tue, 28 Sep 2010 02:18:11 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-09-27 at 17:34 +0200, Florian Kriener wrote:
> The Bug seems to be well known. There is a BugZilla entry [1] and a 
> thread [2] with a fix [3]
> 
> [1] https://bugzilla.kernel.org/show_bug.cgi?id=18892
> [2] http://lkml.org/lkml/2010/9/19/164
> [3] http://lkml.org/lkml/2010/9/21/160
> 
> Sorry for the noise. It will be fixed in rc6.

Thanks for letting us know.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 28 Sep 2010 01:21:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 28 Sep 2010 01:21:10 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 04 Oct 2010 09:06:11 GMT) Full text and rfc822 format available.

Notification sent to Florian Kriener <florian@kriener.org>:
Bug acknowledged by developer. (Mon, 04 Oct 2010 09:06:11 GMT) Full text and rfc822 format available.

Message #24 received at 598207-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 598207-close@bugs.debian.org
Subject: Bug#598207: fixed in linux-2.6 2.6.36~rc6-1~experimental.1
Date: Mon, 04 Oct 2010 09:03:24 +0000
Source: linux-2.6
Source-Version: 2.6.36~rc6-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
linux-2.6_2.6.36~rc6-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6-1~experimental.1.dsc
linux-2.6_2.6.36~rc6.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.36~rc6.orig.tar.gz
linux-base_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-base_2.6.36~rc6-1~experimental.1_all.deb
linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598207@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 03 Oct 2010 21:18:41 +0100
Source: linux-2.6
Binary: linux-tools-2.6.36 linux-source-2.6.36 linux-doc-2.6.36 linux-manual-2.6.36 linux-patch-debian-2.6.36 firmware-linux-free linux-support-2.6.36-rc6 linux-base linux-libc-dev linux-headers-2.6.36-rc6-all linux-headers-2.6.36-rc6-all-alpha linux-headers-2.6.36-rc6-common linux-image-2.6.36-rc6-alpha-generic linux-headers-2.6.36-rc6-alpha-generic linux-image-2.6.36-rc6-alpha-smp linux-headers-2.6.36-rc6-alpha-smp linux-image-2.6.36-rc6-alpha-legacy linux-headers-2.6.36-rc6-alpha-legacy linux-headers-2.6.36-rc6-all-amd64 linux-image-2.6.36-rc6-amd64 linux-headers-2.6.36-rc6-amd64 linux-image-2.6.36-rc6-amd64-dbg linux-headers-2.6.36-rc6-all-armel linux-image-2.6.36-rc6-iop32x linux-headers-2.6.36-rc6-iop32x linux-image-2.6.36-rc6-ixp4xx linux-headers-2.6.36-rc6-ixp4xx linux-image-2.6.36-rc6-kirkwood linux-headers-2.6.36-rc6-kirkwood linux-image-2.6.36-rc6-orion5x linux-headers-2.6.36-rc6-orion5x linux-image-2.6.36-rc6-versatile linux-headers-2.6.36-rc6-versatile
 linux-headers-2.6.36-rc6-all-hppa linux-image-2.6.36-rc6-parisc linux-headers-2.6.36-rc6-parisc linux-image-2.6.36-rc6-parisc-smp linux-headers-2.6.36-rc6-parisc-smp linux-image-2.6.36-rc6-parisc64 linux-headers-2.6.36-rc6-parisc64 linux-image-2.6.36-rc6-parisc64-smp linux-headers-2.6.36-rc6-parisc64-smp linux-headers-2.6.36-rc6-all-i386 linux-image-2.6.36-rc6-486 linux-headers-2.6.36-rc6-486 linux-image-2.6.36-rc6-686 linux-headers-2.6.36-rc6-686 linux-image-2.6.36-rc6-686-bigmem linux-headers-2.6.36-rc6-686-bigmem linux-image-2.6.36-rc6-686-bigmem-dbg linux-headers-2.6.36-rc6-all-ia64 linux-image-2.6.36-rc6-itanium linux-headers-2.6.36-rc6-itanium linux-image-2.6.36-rc6-mckinley linux-headers-2.6.36-rc6-mckinley linux-headers-2.6.36-rc6-all-m68k linux-image-2.6.36-rc6-amiga linux-headers-2.6.36-rc6-amiga linux-image-2.6.36-rc6-atari linux-headers-2.6.36-rc6-atari linux-image-2.6.36-rc6-bvme6000 linux-headers-2.6.36-rc6-bvme6000 linux-image-2.6.36-rc6-mac
 linux-headers-2.6.36-rc6-mac linux-image-2.6.36-rc6-mvme147 linux-headers-2.6.36-rc6-mvme147 linux-image-2.6.36-rc6-mvme16x linux-headers-2.6.36-rc6-mvme16x linux-headers-2.6.36-rc6-all-mips linux-image-2.6.36-rc6-r4k-ip22 linux-headers-2.6.36-rc6-r4k-ip22 linux-image-2.6.36-rc6-r5k-ip32 linux-headers-2.6.36-rc6-r5k-ip32 linux-image-2.6.36-rc6-sb1-bcm91250a linux-headers-2.6.36-rc6-sb1-bcm91250a linux-image-2.6.36-rc6-sb1a-bcm91480b linux-headers-2.6.36-rc6-sb1a-bcm91480b linux-image-2.6.36-rc6-4kc-malta linux-headers-2.6.36-rc6-4kc-malta linux-image-2.6.36-rc6-5kc-malta linux-headers-2.6.36-rc6-5kc-malta linux-image-2.6.36-rc6-octeon linux-headers-2.6.36-rc6-octeon linux-headers-2.6.36-rc6-all-mipsel linux-image-2.6.36-rc6-r5k-cobalt linux-headers-2.6.36-rc6-r5k-cobalt linux-image-2.6.36-rc6-loongson-2f linux-headers-2.6.36-rc6-loongson-2f linux-headers-2.6.36-rc6-all-powerpc linux-image-2.6.36-rc6-powerpc linux-headers-2.6.36-rc6-powerpc
 linux-image-2.6.36-rc6-powerpc-smp linux-headers-2.6.36-rc6-powerpc-smp linux-image-2.6.36-rc6-powerpc64 linux-headers-2.6.36-rc6-powerpc64 linux-headers-2.6.36-rc6-all-s390 linux-image-2.6.36-rc6-s390x linux-headers-2.6.36-rc6-s390x linux-image-2.6.36-rc6-s390x-tape linux-headers-2.6.36-rc6-all-sh4 linux-image-2.6.36-rc6-sh7751r linux-headers-2.6.36-rc6-sh7751r linux-image-2.6.36-rc6-sh7785lcr linux-headers-2.6.36-rc6-sh7785lcr linux-headers-2.6.36-rc6-all-sparc linux-image-2.6.36-rc6-sparc64 linux-headers-2.6.36-rc6-sparc64 linux-image-2.6.36-rc6-sparc64-smp linux-headers-2.6.36-rc6-sparc64-smp
 linux-headers-2.6.36-rc6-all-sparc64
Architecture: all amd64 source
Version: 2.6.36~rc6-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 589996 592415 598207
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.36 - Linux kernel specific documentation for version 2.6.36
 linux-headers-2.6.36-rc6-486 - Header files for Linux 2.6.36-rc6-486
 linux-headers-2.6.36-rc6-4kc-malta - Header files for Linux 2.6.36-rc6-4kc-malta
 linux-headers-2.6.36-rc6-5kc-malta - Header files for Linux 2.6.36-rc6-5kc-malta
 linux-headers-2.6.36-rc6-686-bigmem - Header files for Linux 2.6.36-rc6-686-bigmem
 linux-headers-2.6.36-rc6-686 - Header files for Linux 2.6.36-rc6-686
 linux-headers-2.6.36-rc6-all - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-alpha - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-amd64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-armel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-hppa - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-i386 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-ia64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-m68k - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-mips - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-mipsel - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-powerpc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-s390 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sh4 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sparc64 - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-all-sparc - All header files for Linux 2.6.36 (meta-package)
 linux-headers-2.6.36-rc6-alpha-generic - Header files for Linux 2.6.36-rc6-alpha-generic
 linux-headers-2.6.36-rc6-alpha-legacy - Header files for Linux 2.6.36-rc6-alpha-legacy
 linux-headers-2.6.36-rc6-alpha-smp - Header files for Linux 2.6.36-rc6-alpha-smp
 linux-headers-2.6.36-rc6-amd64 - Header files for Linux 2.6.36-rc6-amd64
 linux-headers-2.6.36-rc6-amiga - Header files for Linux 2.6.36-rc6-amiga
 linux-headers-2.6.36-rc6-atari - Header files for Linux 2.6.36-rc6-atari
 linux-headers-2.6.36-rc6-bvme6000 - Header files for Linux 2.6.36-rc6-bvme6000
 linux-headers-2.6.36-rc6-common - Common header files for Linux 2.6.36-rc6
 linux-headers-2.6.36-rc6-iop32x - Header files for Linux 2.6.36-rc6-iop32x
 linux-headers-2.6.36-rc6-itanium - Header files for Linux 2.6.36-rc6-itanium
 linux-headers-2.6.36-rc6-ixp4xx - Header files for Linux 2.6.36-rc6-ixp4xx
 linux-headers-2.6.36-rc6-kirkwood - Header files for Linux 2.6.36-rc6-kirkwood
 linux-headers-2.6.36-rc6-loongson-2f - Header files for Linux 2.6.36-rc6-loongson-2f
 linux-headers-2.6.36-rc6-mac - Header files for Linux 2.6.36-rc6-mac
 linux-headers-2.6.36-rc6-mckinley - Header files for Linux 2.6.36-rc6-mckinley
 linux-headers-2.6.36-rc6-mvme147 - Header files for Linux 2.6.36-rc6-mvme147
 linux-headers-2.6.36-rc6-mvme16x - Header files for Linux 2.6.36-rc6-mvme16x
 linux-headers-2.6.36-rc6-octeon - Header files for Linux 2.6.36-rc6-octeon
 linux-headers-2.6.36-rc6-orion5x - Header files for Linux 2.6.36-rc6-orion5x
 linux-headers-2.6.36-rc6-parisc64 - Header files for Linux 2.6.36-rc6-parisc64
 linux-headers-2.6.36-rc6-parisc64-smp - Header files for Linux 2.6.36-rc6-parisc64-smp
 linux-headers-2.6.36-rc6-parisc - Header files for Linux 2.6.36-rc6-parisc
 linux-headers-2.6.36-rc6-parisc-smp - Header files for Linux 2.6.36-rc6-parisc-smp
 linux-headers-2.6.36-rc6-powerpc64 - Header files for Linux 2.6.36-rc6-powerpc64
 linux-headers-2.6.36-rc6-powerpc - Header files for Linux 2.6.36-rc6-powerpc
 linux-headers-2.6.36-rc6-powerpc-smp - Header files for Linux 2.6.36-rc6-powerpc-smp
 linux-headers-2.6.36-rc6-r4k-ip22 - Header files for Linux 2.6.36-rc6-r4k-ip22
 linux-headers-2.6.36-rc6-r5k-cobalt - Header files for Linux 2.6.36-rc6-r5k-cobalt
 linux-headers-2.6.36-rc6-r5k-ip32 - Header files for Linux 2.6.36-rc6-r5k-ip32
 linux-headers-2.6.36-rc6-s390x - Header files for Linux 2.6.36-rc6-s390x
 linux-headers-2.6.36-rc6-sb1a-bcm91480b - Header files for Linux 2.6.36-rc6-sb1a-bcm91480b
 linux-headers-2.6.36-rc6-sb1-bcm91250a - Header files for Linux 2.6.36-rc6-sb1-bcm91250a
 linux-headers-2.6.36-rc6-sh7751r - Header files for Linux 2.6.36-rc6-sh7751r
 linux-headers-2.6.36-rc6-sh7785lcr - Header files for Linux 2.6.36-rc6-sh7785lcr
 linux-headers-2.6.36-rc6-sparc64 - Header files for Linux 2.6.36-rc6-sparc64
 linux-headers-2.6.36-rc6-sparc64-smp - Header files for Linux 2.6.36-rc6-sparc64-smp
 linux-headers-2.6.36-rc6-versatile - Header files for Linux 2.6.36-rc6-versatile
 linux-image-2.6.36-rc6-486 - Linux 2.6.36-rc6 for old PCs
 linux-image-2.6.36-rc6-4kc-malta - Linux 2.6.36-rc6 for MIPS Malta
 linux-image-2.6.36-rc6-5kc-malta - Linux 2.6.36-rc6 for MIPS Malta (64-bit)
 linux-image-2.6.36-rc6-686-bigmem-dbg - Debugging infos for Linux 2.6.36-rc6-686-bigmem
 linux-image-2.6.36-rc6-686-bigmem - Linux 2.6.36-rc6 for PCs with 4GB+ RAM
 linux-image-2.6.36-rc6-686 - Linux 2.6.36-rc6 for modern PCs
 linux-image-2.6.36-rc6-alpha-generic - Linux 2.6.36-rc6 for Alpha
 linux-image-2.6.36-rc6-alpha-legacy - Linux 2.6.36-rc6 for Alpha Legacy
 linux-image-2.6.36-rc6-alpha-smp - Linux 2.6.36-rc6 for Alpha SMP
 linux-image-2.6.36-rc6-amd64-dbg - Debugging infos for Linux 2.6.36-rc6-amd64
 linux-image-2.6.36-rc6-amd64 - Linux 2.6.36-rc6 for 64-bit PCs
 linux-image-2.6.36-rc6-amiga - Linux 2.6.36-rc6 for Amiga
 linux-image-2.6.36-rc6-atari - Linux 2.6.36-rc6 for Atari
 linux-image-2.6.36-rc6-bvme6000 - Linux 2.6.36-rc6 for BVM BVME4000 and BVME6000
 linux-image-2.6.36-rc6-iop32x - Linux 2.6.36-rc6 for IOP32x
 linux-image-2.6.36-rc6-itanium - Linux 2.6.36-rc6 for Itanium
 linux-image-2.6.36-rc6-ixp4xx - Linux 2.6.36-rc6 for IXP4xx
 linux-image-2.6.36-rc6-kirkwood - Linux 2.6.36-rc6 for Marvell Kirkwood
 linux-image-2.6.36-rc6-loongson-2f - Linux 2.6.36-rc6 for Loongson 2F
 linux-image-2.6.36-rc6-mac - Linux 2.6.36-rc6 for Macintosh
 linux-image-2.6.36-rc6-mckinley - Linux 2.6.36-rc6 for Itanium II
 linux-image-2.6.36-rc6-mvme147 - Linux 2.6.36-rc6 for Motorola MVME147
 linux-image-2.6.36-rc6-mvme16x - Linux 2.6.36-rc6 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.36-rc6-octeon - Linux 2.6.36-rc6 for Octeon
 linux-image-2.6.36-rc6-orion5x - Linux 2.6.36-rc6 for Marvell Orion
 linux-image-2.6.36-rc6-parisc64 - Linux 2.6.36-rc6 for 64-bit PA-RISC
 linux-image-2.6.36-rc6-parisc64-smp - Linux 2.6.36-rc6 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.36-rc6-parisc - Linux 2.6.36-rc6 for 32-bit PA-RISC
 linux-image-2.6.36-rc6-parisc-smp - Linux 2.6.36-rc6 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.36-rc6-powerpc64 - Linux 2.6.36-rc6 for 64-bit PowerPC
 linux-image-2.6.36-rc6-powerpc - Linux 2.6.36-rc6 for uniprocessor 32-bit PowerPC
 linux-image-2.6.36-rc6-powerpc-smp - Linux 2.6.36-rc6 for multiprocessor 32-bit PowerPC
 linux-image-2.6.36-rc6-r4k-ip22 - Linux 2.6.36-rc6 for SGI IP22
 linux-image-2.6.36-rc6-r5k-cobalt - Linux 2.6.36-rc6 for Cobalt
 linux-image-2.6.36-rc6-r5k-ip32 - Linux 2.6.36-rc6 for SGI IP32
 linux-image-2.6.36-rc6-s390x - Linux 2.6.36-rc6 for IBM zSeries
 linux-image-2.6.36-rc6-s390x-tape - Linux 2.6.36-rc6 for IBM zSeries, IPL from tape
 linux-image-2.6.36-rc6-sb1a-bcm91480b - Linux 2.6.36-rc6 for BCM91480B
 linux-image-2.6.36-rc6-sb1-bcm91250a - Linux 2.6.36-rc6 for BCM91250A
 linux-image-2.6.36-rc6-sh7751r - Linux 2.6.36-rc6 for sh7751r
 linux-image-2.6.36-rc6-sh7785lcr - Linux 2.6.36-rc6 for sh7785lcr
 linux-image-2.6.36-rc6-sparc64 - Linux 2.6.36-rc6 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.36-rc6-sparc64-smp - Linux 2.6.36-rc6 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.36-rc6-versatile - Linux 2.6.36-rc6 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.36 - Linux kernel API manual pages for version 2.6.36
 linux-patch-debian-2.6.36 - Debian patches to version 2.6.36 of the Linux kernel
 linux-source-2.6.36 - Linux kernel source for version 2.6.36 with Debian patches
 linux-support-2.6.36-rc6 - Support files for Linux 2.6.36-rc6
 linux-tools-2.6.36 - Performance analysis tools for Linux 2.6.36-rc6
Changes: 
 linux-2.6 (2.6.36~rc6-1~experimental.1) experimental; urgency=low
 .
   * New upstream release candidate
     - drm/i915: Ensure that the crtcinfo is populated during mode_fixup()
       (Closes: #592415)
     - USB: fix bug in initialization of interface minor numbers
       (Closes: #598207)
 .
   [ Ben Hutchings ]
   * linux-base: Remove dependency on libapt-pkg-perl (Closes: #589996, really)
   * Disable INTEL_IDLE.  It can no longer be built as a module and so was
     actually disabled by the previous version, but I do not consider it ready
     to build-in yet.
   * Enable modular NETFILTER_XT_TARGET_CHECKSUM, NETFILTER_XT_TARGET_IDLETIMER,
     NETFILTER_XT_MATCH_CPU, NETFILTER_XT_MATCH_IPVS
   * Reenable LOCKUP_DETECTOR, accidentally disabled by the previous version
   * Enable modular AD525X_DPOT_I2C, ATM_NICSTAR, CAN_ESD_USB2, CHELSIO_T4VF,
     FIREWIRE_NOSY, HID_ACRUX_FF, HID_ELECOM, INFINIBAND_CXGB4, INFINIBAND_QIB,
     MTD_PCMCIA, ORINOCO_USB, PPS_CLIENT_LDISC, RAMOOPS, SERIAL_MFD_HSU,
     UIO_NETX, USB_GSPCA_SPCA1528, USB_GSPCA_SQ930X, USB_SERIAL_SSU100,
     USB_SERIAL_ZIO, WL1271_SDIO, WL1271_SPI
   * Enable BT_HCIUART_ATH3K, USB_SERIAL_MOS7715_PARPORT
   * [x86] Enable modular SENSORS_PKGTEMP
   * Enable modular IR_CORE, RC_MAP, all IR decoders, IR_IMON, IR_MCEUSB,
     IR_ENE, IR_STREAMZAP
   * [x86] Enable modular LIRC drivers
Checksums-Sha1: 
 2a1202f0e8ed999eebbc32bdc4eb83d894e0fc59 6002 linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 dbd5e16d7222c19f8785c6d87b891bd74348b26f 88879450 linux-2.6_2.6.36~rc6.orig.tar.gz
 e0f49db07bf09d3d2782cbca2f0b6d61b61b6f19 1093166 linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 dc0f8f06a362970b493f791f5ec063da60d285b1 148990 linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 3ac15f8670528dc992a1efe63e08b9624fd70c3b 768704 linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 4317bf97bf90132e2af456341d979a247d45b165 155682 linux-base_2.6.36~rc6-1~experimental.1_all.deb
 1c494ca3aa277a690991e46c25c6e5e7d338c2a9 137328 firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 f69f71bb44c2f49427ac26993cbf1a2e027fe564 70190514 linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 0f25e5be6eb93d9e5f700ea02a1cc157cbc3c035 6452024 linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 3c68a6036c26900f88aa68f75b73f756e6b33e75 2871538 linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
Checksums-Sha256: 
 95e6380987c2d9d26860d735934853268f7446c08f171b7d5e271c00a82ddfae 6002 linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 f320f8ae0f9662412f056ed62525d48cc59b34e547540327d5eea530d31bdd3f 88879450 linux-2.6_2.6.36~rc6.orig.tar.gz
 159504671fbe6243c56b079f9030870e4b0ab48e8f730dc6a8900fc1b7d43892 1093166 linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 3cd21b2d5bfac24f332a97ebc5590a2f74bb7951de7885d0b451770de9274e04 148990 linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 bfeaa78efcf6fe613a66ba215838cbbb4a8ad580d5647fadba9ea4531049023a 768704 linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 ce2965de296f8b34acd455f73cf1b6d4250fb131986b10a99551ea96bfd09961 155682 linux-base_2.6.36~rc6-1~experimental.1_all.deb
 297917f01327d3a35b87aea51a94f8647806a176ad3a79c04140bf0b62df91e8 137328 firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 c19272d4a0a746ff9a36b267612385ad6dcdda60ec04ff59952574e2bdca4280 70190514 linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 8b355f1e9b312bf10cf8fccab1c98d168dffe6e7883a3da7d6de1e0a194dd21d 6452024 linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 6691e581b01c7a87e71398f94e6833ae0bba5ff34f04cba7364c747900ede986 2871538 linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
Files: 
 0a936db36240f1a1606b36fadf277298 6002 kernel optional linux-2.6_2.6.36~rc6-1~experimental.1.dsc
 c10758ddef0e890caea05558e55e465a 88879450 kernel optional linux-2.6_2.6.36~rc6.orig.tar.gz
 434e7899c134716faccb8a5fc851365b 1093166 kernel optional linux-2.6_2.6.36~rc6-1~experimental.1.diff.gz
 bb8979c567b381f82333335d2510580d 148990 devel optional linux-support-2.6.36-rc6_2.6.36~rc6-1~experimental.1_all.deb
 f2abb9405fe1485cea86d9c1931c25f6 768704 kernel optional linux-patch-debian-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 d6316e3bd109e10a029386182f30ec87 155682 kernel optional linux-base_2.6.36~rc6-1~experimental.1_all.deb
 4b71b9fac92d1d922fb3a6c79bf5ca1f 137328 kernel optional firmware-linux-free_2.6.36~rc6-1~experimental.1_all.deb
 84a9e2388314fe6f0f9e7bcd2940aabd 70190514 kernel optional linux-source-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 f51fe106a4d3dc426f2557342da7207e 6452024 doc optional linux-doc-2.6.36_2.6.36~rc6-1~experimental.1_all.deb
 b0fd46d5cf0204e3a88fcdad3b3e65dd 2871538 doc optional linux-manual-2.6.36_2.6.36~rc6-1~experimental.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTKkndOe/yOyVhhEJAQonhw//X9H+Uo3NZvYkqEOROBV70jMmDR00gxrh
YIP+EwI23HcD1I80IYsle/RujPGm0euo3rL97QAXzUldYPPyRPaKwP/UaD2cLX6q
0yTG7LjJyzlGGtQrX+EiW8llErAXDHnJ3MPW6WOubQ7V0wE0ZNJcCoEzByM7iDA3
+/69r0xx3O+odISHxxq//qn4bByM55llKtotIocDO2rdlBG99RWKZNNl+k40iat4
oDjOaFAKwKnbiaEfnAuHqpgI7FhctnBY0GZO6N06mer8k9L7FXy4vpYRZfdtZ3Z6
AeYfHNqiswN6UmGyB89DY45qDs1zKjTySbn3/T9+juNJPlId28xJUDHYN5tM7rU7
JNxSCAqHdH9B/JLK4Anq5uNJYrc9CDFjf7zj1/DJ/3XlXdqzmK1l9PaWvzxJUH4s
Tz9G4hMRFRKgkqrxwi1LFfGue154m4mE70XyixLaEcHsh2+f5JMDWi9saiZ1CrBl
XxhaPry6VssbOjF9dy4koGUz5e5FRwgVd0SSxj8axIcKy020z2fok38zNTNvoxvs
w0px/+CdNYc4EDsLb9/n8/SrGAs6FDEvn+L4D/S4YKujikGl9CtOybtpB/9Yj+kG
JmZVb8pWuGLL7/D+/2+JRsrD7EkfmZ7BlRH7MXrFgc5wR6shMtIsEy3oUTVpBP1r
Dfq2B/eEHDs=
=dKX8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Nov 2010 07:28:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:50:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.